Incidencia #44155

Check legality of unit actions on adjacent tiles on tile change

Abrir Fecha: 2022-03-20 14:56 Última actualización: 2022-06-26 13:03

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
2

Details

There's a long standing issue with typical rulesets where legality of the irrigating activity can depend on the irrigation of the adjacent tile. If that adjacent tile loses the irrigation for some reason, we later get an error about unit doing illegal activity.

So far we've not cared about this relative harmless thing enough to take the performance hit of (checking and) cancelling illegal unit activities also in adjacent tiles when the tile changes. Now, what might would have been a slight performance hit in earlier versions is certainly more than offset by the advancement in the hardware, so it might be time to implement the check to 3.2.

Ticket History (3/8 Histories)

2022-03-20 14:56 Updated by: cazfi
  • New Ticket "Check legality of unit actions on adjacent tiles on tile change" created
2022-04-14 15:26 Updated by: cazfi
Comentario

Should fix #44370 first

2022-04-15 12:31 Updated by: cazfi
Comentario

Actually, many places of the code seems to attempt this already. So it might be a bug that it sometimes does not happen.

2022-05-31 05:08 Updated by: cazfi
Comentario

Reply To cazfi

Actually, many places of the code seems to attempt this already. So it might be a bug that it sometimes does not happen.

Yes, it's supposed to work on all branches, but climate change is buggy.

2022-06-20 05:27 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
2022-06-26 13:03 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar